# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate devicemapper

Name:           rust-%{crate}
Version:        0.20.0
Release:        1%{?dist}
Summary:        Library for using Linux device mapper

License:        MPLv2.0
URL:            https://crates.io/crates/devicemapper
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * clippy is nightly
# * Downgrade uuid to 0.5 temporarily
Patch0:         devicemapper-0.20.0-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(bitflags) >= 1.0.0 with crate(bitflags) < 2.0.0)
BuildRequires:  (crate(error-chain) >= 0.11.0 with crate(error-chain) < 0.12.0)
BuildRequires:  (crate(libc) >= 0.2.36 with crate(libc) < 0.3.0)
BuildRequires:  (crate(macro-attr) >= 0.2.0 with crate(macro-attr) < 0.3.0)
BuildRequires:  (crate(newtype_derive) >= 0.1.0 with crate(newtype_derive) < 0.2.0)
BuildRequires:  (crate(nix) >= 0.10.0 with crate(nix) < 0.11.0)
BuildRequires:  (crate(serde) >= 1.0.0 with crate(serde) < 2.0.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(loopdev) >= 0.2.0 with crate(loopdev) < 0.3.0)
BuildRequires:  (crate(tempdir) >= 0.3.5 with crate(tempdir) < 0.4.0)
BuildRequires:  ((crate(uuid) >= 0.5.0 with crate(uuid) < 0.6.0) with crate(uuid/v4))
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
A library for using Linux device mapper.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- --skip sudo_ --skip loop_
%endif

%files          devel
%license LICENSE.md
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/Makefile

%changelog
* Tue Apr 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.20.0-1
- Update to 0.20.0

* Thu Mar 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.19.0-1
- Update to 0.19.0

* Sun Feb 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-2
- Rebuild for rust-packaging v5

* Wed Jan 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-1
- Initial package
